# class Devise::Strategies::Authenticatable

This strategy should be used as basis for authentication strategies. It retrieves parameters both from params or from http authorization headers. See database_authenticatable for an example.

### Attributes

authentication_hash[RW]
authentication_type[RW]
password[RW]

### Public Instance Methods

store?() click to toggle source

    # File lib/devise/strategies/authenticatable.rb, line 11
    def store?
      !mapping.to.skip_session_storage.include?(authentication_type)
    end

valid?() click to toggle source

    # File lib/devise/strategies/authenticatable.rb, line 15
    def valid?
      valid_for_params_auth? || valid_for_http_auth?
    end